local blizzardMenu = CreateFrame("Frame", "WoWStudyBlizzardMenu", UIParent)
local background = blizzardMenu:CreateTexture()
background:SetAllPoints(blizzardMenu)
background:SetColorTexture(0, 0, 0, 0.5) -- Black with 50% opacity
blizzardMenu.name = "WoWStudy"

-- Title
local title = blizzardMenu:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOPLEFT", 16, -16)
title:SetText("MyAddon Options")

-- Description
local description = blizzardMenu:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
description:SetPoint("TOPLEFT", title, "BOTTOMLEFT", 0, -8)
description:SetText("Welcome to WoWStudy, the menu can be found with the below commands:\n\n" ..
    "/ws - Open the main menu\n" ..
    "/wsfc - Force a flashcard to show without requiring any event\n\n" ..
    "Please reach out on the r/gamerstudy reddit page if you have any feedback/issues.")
description:SetJustifyH("LEFT")

local category = Settings.RegisterCanvasLayoutCategory(blizzardMenu, "WoWStudy")
Settings.RegisterAddOnCategory(category)